Click or drag to resize

DisplayPipelineDrawGradientHatch Method (Hatch, Color, Color, Point3d, Point3d, Boolean, Single, Color)

Draw a two point gradient filled hatch

Namespace:  Rhino.Display
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public void DrawGradientHatch(
	Hatch hatch,
	Color color1,
	Color color2,
	Point3d point1,
	Point3d point2,
	bool linearGradient,
	float boundaryThickness,
	Color boundaryColor
)

Parameters

hatch
Type: Rhino.GeometryHatch

[Missing <param name="hatch"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

color1
Type: System.DrawingColor

[Missing <param name="color1"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

color2
Type: System.DrawingColor

[Missing <param name="color2"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

point1
Type: Rhino.GeometryPoint3d

[Missing <param name="point1"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

point2
Type: Rhino.GeometryPoint3d

[Missing <param name="point2"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

linearGradient
Type: SystemBoolean

[Missing <param name="linearGradient"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

boundaryThickness
Type: SystemSingle

[Missing <param name="boundaryThickness"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

boundaryColor
Type: System.DrawingColor

[Missing <param name="boundaryColor"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawGradientHatch(Rhino.Geometry.Hatch,System.Drawing.Color,System.Drawing.Color,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Boolean,System.Single,System.Drawing.Color)"]

See Also